# $Revision: 1.6 $, $Date: 2004/11/14 03:55:40 $
%define		_name		curses
Summary:	Infocom text game - Curses
Summary(pl):	Tekstwka Infocomu - Curses
Name:		infocom-curses
Version:	951024
Release:	2
License:	free
Group:		Applications/Games
Source0:	ftp://ftp.ifarchive.org/if-archive/games/zcode/%{_name}.z5
# Source0-md5:	f06a42a29a5a4e6aa70958c9ae4c37cd
URL:		http://www.ifarchive.org/
Requires:	zcode-wrapper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
As "Curses" opens, you're hunting about in the attic of your family
home, looking for a tatty old map of Paris (you're going on holiday
tomorrow) and generally trying to avoid all the packing. Aunt Jemima
is potting daisies and sulking; the attics are full of endless
distractions and secrets; Greek myths, horoscopes, sixth-century
politics, a less than altogether helpful demon, a mysterious bomb
plot, photography, ritual, poetry and a dream or two all get in your
way; and somehow you keep being reminded of your family through the
ages, and all its Curses...

...could it be that even you are Cursed?

%description -l pl
Gdy "Curses" si zaczyna, grzebiesz na strychu swojego domu
rodzinnego, szukajc starego wystrzpionego planu Parya (jutro
wyjedasz na wakacje) i w zasadzie chcesz unikn caego tego
pakowania. Ciocia Jemima hoduje w doniczkach stokrotki i dsa si;
strych jest peen niekoczcych si rozrywek i tajemnic; mity greckie,
horoskopy, polityka VI wieku, zupenie nieprzydatny demon, tajemniczy
rysunek bomby, fotografie, obrzdy, poezja i marzenie, by wszystko
znalazo si ci na drodze; i w jaki sposb co ci przypomina o twojej
rodzinie poprzez wieki i o tych wszystkich przeklciach...

...czy to moliwe, e nawet ty jeste przeklty?

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/zcode}

cp %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/games/zcode
ln -s %{_datadir}/games/zcode/wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{_name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/games/zcode/*.z5

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: infocom-curses.spec,v $
Revision 1.6  2004/11/14 03:55:40  havner
- R:zcode-interpreter instead of frotz
- rel 2

Revision 1.5  2003/09/05 09:21:58  qboosh
- cleanups

Revision 1.4  2003/08/15 20:26:39  ankry
- shorter install

Revision 1.3  2003/08/15 13:48:38  ankry
- pl description

Revision 1.2  2003/08/15 12:10:52  havner
- Added URL & md5sum

Revision 1.1  2003/08/13 13:39:56  adamg
- raw from Lukasz Pawelczyk (havner); he will finish up these later
